Extending Qt Creator Manual | UseMinimalNames

Extending Qt Creator Manual 4.5.2

# UseMinimalNames Class

(CPlusPlus::UseMinimalNames)

Inherits: | CPlusPlus::Substitution

- List of all members, including inherited members

## Public Functions

| UseMinimalNames(ClassOrNamespace *target)
virtual | ~UseMinimalNames()

## Reimplemented Public Functions

virtual FullySpecifiedType | apply(const Name *name, Rewrite *rewrite) const

- 1 public function inherited from CPlusPlus::Substitution

## Member Function Documentation

### UseMinimalNames::UseMinimalNames(ClassOrNamespace *target)

Default constructs an instance of UseMinimalNames.

### `[virtual]` UseMinimalNames::~UseMinimalNames()

Destroys the instance of UseMinimalNames. The destructor is virtual.

### `[virtual]` FullySpecifiedType UseMinimalNames::apply(const Name *name, Rewrite *rewrite) const